export enum MessageFlag {
    MessageFlagNone = 0,
    MessageFlagSeen = 1 << 0,
    MessageFlagAnswered = 1 << 1,
    MessageFlagFlagged = 1 << 2,
    MessageFlagDeleted = 1 << 3,
    MessageFlagDraft = 1 << 4,
    MessageFlagMDNSent = 1 << 5,
    MessageFlagForwarded = 1 << 6,
    MessageFlagSubmitPending = 1 << 7,
    MessageFlagSubmitted = 1 << 8,
    MessageFlagMaskAll = MessageFlagSeen |
        MessageFlagAnswered |
        MessageFlagFlagged |
        MessageFlagDeleted |
        MessageFlagDraft |
        MessageFlagMDNSent |
        MessageFlagForwarded |
        MessageFlagSubmitPending |
        MessageFlagSubmitted,
}
